<template>
  <div class="mta-card-lv3">

    <div class="mta-card-content-pc mta-hidden-xs" :class="[img.order > contentOrder ? 'img-left': 'img-right']">
      <img :style="`order:${img.order}`" :src="img.url">
      <div class="card-info" :style="`order: ${contentOrder}`">
        <h5>{{ title }}</h5>
        <p>{{des}}</p>
        <slot></slot>
      </div>
    </div>


    <div class="mta-card-content-h5 mta-hidden-sm">
      <img :src="img.url">
      <div class="card-info">
        <h5>{{ title }}</h5>
        <p>{{des}}</p>
        <slot></slot>
      </div>
    </div>

  </div>
</template>

<script>
export default {
  name: "imgCardLv3",
  props: {
    option: {
      type: Object,
      required: true,
    },
  },
  data() {
    return {}
  },
  computed: {
    img() {
      return {url: this.option.img.url, order: this.option.img.order}
    },
    title() {
      return this.option.content.title;
    },
    des() {
      return this.option.content.des;
    },
    contentOrder() {
      return this.option.content.order;
    },
    tagesPc() {
      return this.option.content.list;
    },
    tagesH5() {
      return this.option.content.list;
    }
  }
}
</script>

<style lang="scss" scoped>
.mta-card-lv3 {
  margin: 0 auto 120px;

  .mta-card-content-pc {
    display: flex;
    img {
      width: 480px;
      height: 370px;
    }
  }

  .img-left {
    img {
      margin-left: 100px;
    }

  }

  .img-right {
    img {
      margin-right: 100px;
    }
  }

  .card-info {
    h5 {
      font-size: 24px;
      font-weight: 800;
      text-align: left;
      color: #333;
      margin-top: 40px;
      margin-bottom: 23px;
    }

    p {
      font-size: 14px;
      font-weight: 800;
      color: #333;
    }
  }


}
</style>
